
Foreman - Bug #19455

1.15.0-RC2 Scanning for puppet classes - Foreman attempts to delete environments that exist

05/03/2017 02:27 PM - Jack Watroba

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.15.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Upgraded to 1.15.0-RC2 on both our foreman server and our puppet smart-proxy server. When we go to import classes from that

server, Foreman claims that there are no environments and wants to delete the environments that do exist. It looks like this issue: 

http://projects.theforeman.org/issues/18995 which looks like it got fixed, but we're still experiencing this behavior.

Related issues:

Is duplicate of Foreman - Bug #18995: Puppet class import removes existing en... Closed 03/23/2017

History

#1 - 05/04/2017 02:57 AM - Dominic Cleal

- Is duplicate of Bug #18995: Puppet class import removes existing environments when orgs/locations are disabled added

#2 - 05/04/2017 02:57 AM - Dominic Cleal

#18995 is unfixed, it's still in New status. I'll mark this as a duplicate until that's resolved, thanks for the report.

#3 - 05/04/2017 02:57 AM - Dominic Cleal

- Status changed from New to Duplicate
